Summary: Xfce session manager
Name: xfce4-session
Version: 4.6.2
Release: 2%{?dist}
License: GPLv2+
URL: http://www.xfce.org/
Source0: http://archive.xfce.org/src/xfce/xfce4-session/4.6/xfce4-session-%{version}.tar.bz2
Patch0: xfce4-session-4.5.92-hide-tips.patch
# http://patches.ubuntu.com/x/xfce4-session/extracted/01_correct_shadows.patch
Patch1: xfce4-session-4.6.1-correct-shadows.patch
# Already upstream in  http://bugzilla.xfce.org/show_bug.cgi?id=5912
Patch2: xfce4-session-gnome-keyring.patch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libxfcegui4 >= %{version}
Requires: xorg-x11-server-utils
Requires: redhat-menus
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: startup-notification-devel
BuildRequires: gettext intltool
BuildRequires: xorg-x11-server-utils
BuildRequires: dbus-devel GConf2-devel
BuildRequires: libwnck-devel
BuildRequires: libglade2-devel
BuildRequires: dbus-glib-devel
BuildRequires: xfconf-devel
BuildRequires: libSM-devel
Requires: fortune-mod

%description
xfce4-session is the session manager for the Xfce desktop environment.

%package devel
Summary: Development files for xfce4-session
Group: Development/Libraries
Requires: xfce4-session >= %{version}
Requires: libxfcegui4-devel >= %{version}

%description devel
Header files for the Xfce Session Manager.

%package engines
Summary: Additional engines for xfce4-session
Group: User Interface/Desktops
Requires: xfce4-session >= %{version}

%description engines
Additional splash screen engines for the Xfce Session Manager.

%prep
%setup -q
%patch0 -p1 -b .disable-tips
%patch1 -p1 -b .correct-shadows
%patch2 -p1 -b .gnome-keyring

%build
%configure --enable-gnome --enable-final --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/ldconfig

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog ChangeLog.pre-xfce-devel NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4/doc/*/images/*
%{_datadir}/xfce4/doc/*/*.html
%dir %{_datadir}/xfce4/tips/
%{_datadir}/xfce4/tips/tips
%{_datadir}/xfce4/tips/tips.dat
%{_libdir}/lib*.so.*
%dir %{_libdir}/xfce4/splash/
%dir %{_libdir}/xfce4/splash/engines
%{_libdir}/xfce4/splash/engines/libmice.*
%{_libexecdir}/xfsm-shutdown-helper
%{_mandir}/man1/*
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml
%config(noreplace) %{_sysconfdir}/xdg/autostart/xfce4-tips-autostart.desktop

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/xfce4-session-4.6

%files engines
%defattr(-,root,root,-)
%{_datadir}/themes/Default
%{_libdir}/xfce4/splash/engines/libbalou.*
%{_libdir}/xfce4/splash/engines/libsimple.*
%{_libexecdir}/balou-*

%changelog
* Sat Dec 18 2010 Kevin Fenzi <kevin@tummy.com> - 4.6.2-2
- Add patch to fix gnome-keyring handling. (fixes #663421)

* Fri May 21 2010 Kevin Fenzi <kevin@tummy.com> - 4.6.2-1
- Update to 4.6.2

* Thu Dec 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.1-5
- Remove libtool archives of splash engines

* Wed Nov 11 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-4
- Don't own /usr/share/themes (fixes #534107)

* Wed Sep 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 4.6.1-3
- Fix German text in logout dialog
- Fix shadows in 'simple' splash engine
- Don't ship static lib in -devel package
- configure with --disable-static instead of removing *.a files
- Fix directory ownership issue

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 19 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.1-1
- Update to 4.6.1

* Thu Feb 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.6.0-1
- Update to 4.6.0
- Remove some unneeded BuildRequires

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.5.99.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.99.1-1
- Update to 4.5.99.1

* Tue Jan 13 2009 Kevin Fenzi <kevin@tummy.com> - 4.5.93-1
- Update to 4.5.93

* Fri Dec 26 2008 Kevin Fenzi <kevin@tummy.com> - 4.5.92-1
- Update 4.5.92

* Mon Aug 11 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-4
- Fix icon for autostarted applications (fixes #442804)

* Tue Apr 22 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-3
- Disable tips by default for now. 

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 4.4.2-2
- Rebuild for gcc43

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.2-1
- Update to 4.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-2
- Update License tag

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.1-1
- Update to 4.4.1
- Own the themes and themes/Default directories. 

* Tue Apr  3 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-2
- Own some unowned directories
- Add Requires: redhat-menus for directory ownership

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 4.4.0-1
- Update to 4.4.0

* Mon Nov 27 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-2
- Add dbus-devel and GConf2-devel to BuildRequires, fixes bug #217082

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.2-1
- Update to 4.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-6
- Fix defattr
- Add gtk-update-icon-cache

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-5
- Bump release for devel checkin

* Sun Sep 24 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-4
- Don't own doc directories that xfdesktop owns. 

* Sun Sep 17 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-3
- Only own icons, not any of the icon dirs. 

* Tue Sep 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-2
- Add Requires for fortune-mod, needed for xfce4-tips

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.99.1-1
- Upgrade to 4.3.99.1
- Fix macros in changelog
- Add post/postun ldconfig

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 4.3.90.2-1
- Upgrade to 4.3.90.2

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-3.fc5
- Rebuild for fc5

* Tue Jan 31 2006 Kevin Fenzi <kevin@tummy.com> - 4.2.3-2.fc5
- Added xorg-x11-server-utils, imake, libXt-devel BuildRequires
- Added xorg-x11-server-utils to Requires

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.3-1.fc5
- Update to 4.2.3
- Added dist tag

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> 4.2.2-1.fc4
- Update to 4.2.2

* Sun May  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-5.fc4
- Add xorg-x11 buildrequires for iceauth check in configure

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-4.fc4
- lowercase Release

* Wed Mar 23 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-3.FC4
- Removed unneeded la/a files
- Added version to requires in devel and engine subpackages

* Sun Mar 20 2005 Warren Togami <wtogami@redhat.com> - 4.2.1-2
- fix BuildReqs

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.1-1
- Updated to 4.2.1 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-2
- Fixed to use %%find_lang
- Removed generic INSTALL from %%doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 4.2.0-1
- Inital Fedora Extras version

